Loading...
Searching...
No Matches
BALL::AmberFF::Option Struct Reference

`#include <BALL/MOLMEC/AMBER/amber.h>`

## Static Public Attributes

static const char * | FILENAME
static const char * | NONBONDED_CUTOFF
static const char * | VDW_CUTOFF
static const char * | VDW_CUTON
static const char * | ELECTROSTATIC_CUTOFF
static const char * | ELECTROSTATIC_CUTON
static const char * | SCALING_VDW_1_4
static const char * | SCALING_ELECTROSTATIC_1_4
static const char * | DISTANCE_DEPENDENT_DIELECTRIC
static const char * | ASSIGN_CHARGES
static const char * | ASSIGN_TYPENAMES
static const char * | ASSIGN_TYPES
static const char * | OVERWRITE_CHARGES
static const char * | OVERWRITE_TYPENAMES

## Detailed Description

Option names

Definition at line 42 of file amber.h.

## Member Data Documentation

## ASSIGN_CHARGES

const char* BALL::AmberFF::Option::ASSIGN_CHARGES

static

automatically assign charges to the system (during setup)

Definition at line 84 of file amber.h.

## ASSIGN_TYPENAMES

const char* BALL::AmberFF::Option::ASSIGN_TYPENAMES

static

automatically assign type names to the system (during setup)

Definition at line 88 of file amber.h.

## ASSIGN_TYPES

const char* BALL::AmberFF::Option::ASSIGN_TYPES

static

automatically assign types to the system's atoms (during setup)

Definition at line 92 of file amber.h.

## DISTANCE_DEPENDENT_DIELECTRIC

const char* BALL::AmberFF::Option::DISTANCE_DEPENDENT_DIELECTRIC

static

use of distance dependent dielectric constant

Definition at line 80 of file amber.h.

## ELECTROSTATIC_CUTOFF

const char* BALL::AmberFF::Option::ELECTROSTATIC_CUTOFF

static

Electrostatic cutoff

Definition at line 64 of file amber.h.

## ELECTROSTATIC_CUTON

const char* BALL::AmberFF::Option::ELECTROSTATIC_CUTON

static

Electrostatic cuton

Definition at line 68 of file amber.h.

## FILENAME

const char* BALL::AmberFF::Option::FILENAME

static

The parameter file name (

See also
  Default::FILENAME)

Definition at line 46 of file amber.h.

## NONBONDED_CUTOFF

const char* BALL::AmberFF::Option::NONBONDED_CUTOFF

static

Nonbonded cutoff. This value is used as cutoff radius in calculations of nonbonded interactions. The unit of this option is (

See also
  Default::NONBONDED_CUTOFF)

Definition at line 52 of file amber.h.

## OVERWRITE_CHARGES

const char* BALL::AmberFF::Option::OVERWRITE_CHARGES

static

during charge assignment, overwrite even non-zero charges

Definition at line 96 of file amber.h.

## OVERWRITE_TYPENAMES

const char* BALL::AmberFF::Option::OVERWRITE_TYPENAMES

static

during charge assignment, overwrite even non-empty type names

Definition at line 100 of file amber.h.

## SCALING_ELECTROSTATIC_1_4

const char* BALL::AmberFF::Option::SCALING_ELECTROSTATIC_1_4

static

1-4 electrostatic interaction scaling factor.

Definition at line 76 of file amber.h.

## SCALING_VDW_1_4

const char* BALL::AmberFF::Option::SCALING_VDW_1_4

static

1-4 vdw interaction scaling factor.

Definition at line 72 of file amber.h.

## VDW_CUTOFF

const char* BALL::AmberFF::Option::VDW_CUTOFF

static

Van der Waals cutoff

Definition at line 56 of file amber.h.

## VDW_CUTON

const char* BALL::AmberFF::Option::VDW_CUTON

static

Van der Waals cuton

Definition at line 60 of file amber.h.